<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/src</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/var/www/html/src</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/RegistrationController.php.html#15">App\Controller\RegistrationController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#10">App\Controller\SecurityController</a></td><td class="text-right">75%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/RegistrationController.php.html#15">App\Controller\RegistrationController</a></td><td class="text-right">12</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/RegistrationController.php.html#17"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#23"><abbr title="App\Controller\SecurityController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/AppAuthenticator.php.html#43"><abbr title="App\Security\AppAuthenticator::onAuthenticationSuccess">onAuthenticationSuccess</abbr></a></td><td class="text-right">66%</td></tr>
       <tr><td><a href="Controller/TaskController.php.html#29"><abbr title="App\Controller\TaskController::createAction">createAction</abbr></a></td><td class="text-right">87%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/RegistrationController.php.html#17"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Controller/TaskController.php.html#29"><abbr title="App\Controller\TaskController::createAction">createAction</abbr></a></td><td class="text-right">4</td></tr>
       <tr><td><a href="Security/AppAuthenticator.php.html#43"><abbr title="App\Security\AppAuthenticator::onAuthenticationSuccess">onAuthenticationSuccess</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.2.7</a> and <a href="https://phpunit.de/">PHPUnit 9.6.8</a> at Sat Jun 17 10:11:58 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([1,0,0,0,0,0,0,0,1,0,2,11], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([2,0,0,0,0,0,0,1,0,1,0,48], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"Controller\/ExampleController.php.html#9\">App\\Controller\\ExampleController<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#15\">App\\Controller\\RegistrationController<\/a>"],[75,2,"<a href=\"Controller\/SecurityController.php.html#10\">App\\Controller\\SecurityController<\/a>"],[95.65217391304348,11,"<a href=\"Controller\/TaskController.php.html#14\">App\\Controller\\TaskController<\/a>"],[100,7,"<a href=\"Controller\/UserController.php.html#14\">App\\Controller\\UserController<\/a>"],[100,12,"<a href=\"Entity\/Task.php.html#8\">App\\Entity\\Task<\/a>"],[100,19,"<a href=\"Entity\/User.php.html#15\">App\\Entity\\User<\/a>"],[100,2,"<a href=\"Form\/RegistrationFormType.php.html#15\">App\\Form\\RegistrationFormType<\/a>"],[100,1,"<a href=\"Form\/TaskType.php.html#9\">App\\Form\\TaskType<\/a>"],[100,2,"<a href=\"Form\/UserEditType.php.html#12\">App\\Form\\UserEditType<\/a>"],[100,1,"<a href=\"Form\/UserType.php.html#12\">App\\Form\\UserType<\/a>"],[100,0,"<a href=\"Kernel.php.html#8\">App\\Kernel<\/a>"],[100,1,"<a href=\"Repository\/TaskRepository.php.html#15\">App\\Repository\\TaskRepository<\/a>"],[100,1,"<a href=\"Repository\/UserRepository.php.html#15\">App\\Repository\\UserRepository<\/a>"],[92.85714285714286,5,"<a href=\"Security\/AppAuthenticator.php.html#18\">App\\Security\\AppAuthenticator<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"Controller\/ExampleController.php.html#14\">App\\Controller\\ExampleController::index<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#17\">App\\Controller\\RegistrationController::register<\/a>"],[100,1,"<a href=\"Controller\/SecurityController.php.html#12\">App\\Controller\\SecurityController::login<\/a>"],[0,1,"<a href=\"Controller\/SecurityController.php.html#23\">App\\Controller\\SecurityController::logout<\/a>"],[100,1,"<a href=\"Controller\/TaskController.php.html#19\">App\\Controller\\TaskController::listAction<\/a>"],[87.5,4,"<a href=\"Controller\/TaskController.php.html#29\">App\\Controller\\TaskController::createAction<\/a>"],[100,3,"<a href=\"Controller\/TaskController.php.html#63\">App\\Controller\\TaskController::editAction<\/a>"],[100,1,"<a href=\"Controller\/TaskController.php.html#88\">App\\Controller\\TaskController::toggleTaskAction<\/a>"],[100,2,"<a href=\"Controller\/TaskController.php.html#102\">App\\Controller\\TaskController::deleteTaskAction<\/a>"],[100,1,"<a href=\"Controller\/UserController.php.html#19\">App\\Controller\\UserController::listAction<\/a>"],[100,3,"<a href=\"Controller\/UserController.php.html#30\">App\\Controller\\UserController::createAction<\/a>"],[100,3,"<a href=\"Controller\/UserController.php.html#57\">App\\Controller\\UserController::editAction<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#32\">App\\Entity\\Task::__construct<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#38\">App\\Entity\\Task::getId<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#43\">App\\Entity\\Task::getCreatedAt<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#48\">App\\Entity\\Task::setCreatedAt<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#53\">App\\Entity\\Task::getTitle<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#58\">App\\Entity\\Task::setTitle<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#63\">App\\Entity\\Task::getContent<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#68\">App\\Entity\\Task::setContent<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#73\">App\\Entity\\Task::isDone<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#78\">App\\Entity\\Task::toggle<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#83\">App\\Entity\\Task::getUser<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#88\">App\\Entity\\Task::setUser<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#39\">App\\Entity\\User::__construct<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#44\">App\\Entity\\User::getId<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#49\">App\\Entity\\User::getEmail<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#54\">App\\Entity\\User::setEmail<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#66\">App\\Entity\\User::getUsername<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#74\">App\\Entity\\User::getRoles<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#83\">App\\Entity\\User::setRoles<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#93\">App\\Entity\\User::getPassword<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#98\">App\\Entity\\User::setPassword<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#111\">App\\Entity\\User::getSalt<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#119\">App\\Entity\\User::eraseCredentials<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#125\">App\\Entity\\User::getUserIdentifier<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#133\">App\\Entity\\User::getTasks<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#138\">App\\Entity\\User::addTask<\/a>"],[100,3,"<a href=\"Entity\/User.php.html#148\">App\\Entity\\User::removeTask<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#160\">App\\Entity\\User::hashPassword<\/a>"],[100,1,"<a href=\"Form\/RegistrationFormType.php.html#17\">App\\Form\\RegistrationFormType::buildForm<\/a>"],[100,1,"<a href=\"Form\/RegistrationFormType.php.html#30\">App\\Form\\RegistrationFormType::configureOptions<\/a>"],[100,1,"<a href=\"Form\/TaskType.php.html#11\">App\\Form\\TaskType::buildForm<\/a>"],[100,1,"<a href=\"Form\/UserEditType.php.html#14\">App\\Form\\UserEditType::buildForm<\/a>"],[100,1,"<a href=\"Form\/UserEditType.php.html#29\">App\\Form\\UserEditType::configureOptions<\/a>"],[100,1,"<a href=\"Form\/UserType.php.html#14\">App\\Form\\UserType::buildForm<\/a>"],[100,1,"<a href=\"Repository\/TaskRepository.php.html#17\">App\\Repository\\TaskRepository::__construct<\/a>"],[100,1,"<a href=\"Repository\/UserRepository.php.html#17\">App\\Repository\\UserRepository::__construct<\/a>"],[100,1,"<a href=\"Security\/AppAuthenticator.php.html#24\">App\\Security\\AppAuthenticator::__construct<\/a>"],[100,1,"<a href=\"Security\/AppAuthenticator.php.html#28\">App\\Security\\AppAuthenticator::authenticate<\/a>"],[66.66666666666666,2,"<a href=\"Security\/AppAuthenticator.php.html#43\">App\\Security\\AppAuthenticator::onAuthenticationSuccess<\/a>"],[100,1,"<a href=\"Security\/AppAuthenticator.php.html#54\">App\\Security\\AppAuthenticator::getLoginUrl<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
